<header class="flex w-full justify-center fixed top-0 left-0 text-black bg-white h-[var(--header-height)] shadow z-10">
  <div class="flex items-center h-full max-w-5xl w-full justify-between gap-3 px-4">
    <a href="{{ url_for('index') }}"
      class="text-[var(--blue)] mr-auto w-[80px] whitespace-nowrap font-bold text-xl">Gestion des Stages</a>
      

    {% if current_user.is_authenticated %}
    <div class="flex items-center gap-3">
      {% if current_user.role_id == 1 %}

      <div class="relative group">
        <a href="{{ url_for('index') }}" class="py-2.5 inline-flex items-center hover:text-[var(--blue)]">Voir les
          offres
          <svg class="w-4 h-4 ml-2" fill="none" stroke="currentColor" viewBox="0 0 24 24"
            xmlns="http://www.w3.org/2000/svg">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7"></path>
          </svg>
        </a>

        <div
          class="z-10 hidden mt-[33px] bg-white divide-y divide-gray-100 shadow w-44 absolute top-2 group-hover:block rounded-lg">
          <ul class="py-2">
            <li>
              <a href="{{ url_for('new_offer') }}" class="block px-4 py-2 hover:bg-gray-100">Proposer une offre</a>
            </li>
          </ul>
        </div>
      </div>

      <a href="{{ url_for('list_company') }}" class="hover:text-[var(--blue)]">Voir les entreprises</a>

      {% elif current_user.role_id == 2 %}
      </span>
      <div class="relative group">
        <a href="{{ url_for('all_soutenance') }}"
          class="py-2.5 inline-flex items-center hover:text-[var(--blue)]">Soutenance
          <svg class="w-4 h-4 ml-2" fill="none" stroke="currentColor" viewBox="0 0 24 24"
            xmlns="http://www.w3.org/2000/svg">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7"></path>
          </svg>
        </a>
        <div class="z-10 hidden mt-[33px] bg-white divide-y divide-gray-100 shadow w-44 absolute top-2 group-hover:block rounded-lg">
          <ul class="py-2">
            <li>
              <a href="{{ url_for('creer_soutenance') }}" class="block px-4 py-2 hover:bg-gray-100">Creer une soutenance</a>
            </li>
            <li>
              <a href="{{ url_for('mes_soutenances') }}" class="block px-4 py-2 hover:bg-gray-100">Mes soutenances</a>
            </li>
            <li>
              <a href="{{ url_for('soutenance_spc') }}" class="block px-4 py-2 hover:bg-gray-100">Soutenance sans candide</a>
            </li>
            <li>
              <a href="{{ url_for('soutenance_placing') }}" class="block px-4 py-2 hover:bg-gray-100">Calendrier</a>
            </li>
          </ul>
        </div>
      </div>
      <div class="relative group">
        <a href="{{ url_for('offres_tobe_accepted') }}"
          class="py-2.5 inline-flex items-center hover:text-[var(--blue)]">Offres
          <svg class="w-4 h-4 ml-2" fill="none" stroke="currentColor" viewBox="0 0 24 24"
            xmlns="http://www.w3.org/2000/svg">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7"></path>
          </svg>
        </a>
        <div class="z-10 hidden mt-[33px] bg-white divide-y divide-gray-100 shadow w-44 absolute top-2 group-hover:block rounded-lg">
          <ul class="py-2">
            <li>
              <a href="{{ url_for('new_offer') }}" class="block px-4 py-2 hover:bg-gray-100">Ajouter une offre</a>
            </li>
            <li>
              <a href="{{ url_for('list_offers') }}" class="block px-4 py-2 hover:bg-gray-100">Voir les offres</a>
            </li>
          </ul>
        </div>
      </div>
      <div class="relative group">
        <a href="{{ url_for('list_company') }}" class="py-2.5 inline-flex items-center hover:text-[var(--blue)]">Voir les
          entreprises
          <svg class="w-4 h-4 ml-2" fill="none" stroke="currentColor" viewBox="0 0 24 24"
            xmlns="http://www.w3.org/2000/svg">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7"></path>
          </svg>
        </a>

        <div
          class="z-10 hidden mt-[33px] bg-white divide-y divide-gray-100 shadow w-44 absolute top-2 group-hover:block rounded-lg">
          <ul class="py-2">
            <li>
              <a href="{{ url_for('add_company') }}" class="block px-4 py-2 hover:bg-gray-100">Ajouter une
                entreprise</a>
            </li>
          </ul>
        </div>
      </div>


      <div class="relative group">
        <a href="{{ url_for('offres_tobe_accepted') }}"
          class="py-2.5 inline-flex items-center hover:text-[var(--blue)]">Missions ( <span style="color:red">
            {{ get_nb_total_validation_prof() }}</span>)
          <svg class="w-4 h-4 ml-2" fill="none" stroke="currentColor" viewBox="0 0 24 24"
            xmlns="http://www.w3.org/2000/svg">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7"></path>
          </svg>
        </a>

        <div
          class="z-10 hidden mt-[33px] bg-white divide-y divide-gray-100 shadow w-44 absolute top-2 group-hover:block rounded-lg">
          <ul class="py-2">
            <li>
              <a href="{{ url_for('offres_tobe_accepted') }}" class="block px-4 py-2 hover:bg-gray-100">Liste des offres
                à valider {%if get_nb_offre_tobe_validate() >
                0 %}(<span style="color: red">{{get_nb_offre_tobe_validate()}}</span>){%endif%}</a>
            </li>
            <li>
              <a href="{{ url_for('list_mission_request') }}" class="block px-4 py-2 hover:bg-gray-100">Liste des
                missions {%if
                get_nb_request_tobe_validate() > 0 %}(<span
                  style="color: red">{{get_nb_request_tobe_validate()}}</span>){%endif%}</a>
            </li>
            <li>
              <a href="{{ url_for('list_mission_request_referants') }}" class="block px-4 py-2 hover:bg-gray-100">Missions et référents {%if
                get_nb_offre_sans_profreferant() > 0 %}(<span
                  style="color: red">{{get_nb_offre_sans_profreferant()}}</span>){%endif%}</a>
            </li>
          </ul>
        </div>
      </div>


      {% elif current_user.role_id == 3 %}
      <a href="{{ url_for('list_problems') }}" class="hover:text-[var(--blue)]">Voir les problèmes
        {%if get_nb_pb() > 0 %}(<span style="color: red">{{get_nb_pb()}}</span>){%endif%}</a>

      <div class="relative group">
        <a href="{{ url_for('list_company') }}"
          class="py-2.5 inline-flex items-center hover:text-[var(--blue)]">Entreprises
          <svg class="w-4 h-4 ml-2" fill="none" stroke="currentColor" viewBox="0 0 24 24"
            xmlns="http://www.w3.org/2000/svg">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7"></path>
          </svg>
        </a>

        <div
          class="z-10 hidden mt-[33px] bg-white divide-y divide-gray-100 shadow w-44 absolute top-2 group-hover:block rounded-lg">
          <ul class="py-2">
            <li>
              <a href="{{ url_for('add_company') }}" class="block px-4 py-2 hover:bg-gray-100">Ajouter une
                entreprise</a>
            </li>
          </ul>
        </div>
      </div>

      <div class="relative group">
        <a href="{{ url_for('offres_tobe_accepted') }}"
          class="py-2.5 inline-flex items-center hover:text-[var(--blue)]">Validations ( <span style="color:red">
            {{ get_nb_total_validation() }}</span>)
          <svg class="w-4 h-4 ml-2" fill="none" stroke="currentColor" viewBox="0 0 24 24"
            xmlns="http://www.w3.org/2000/svg">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7"></path>
          </svg>
        </a>

        <div
          class="z-10 hidden mt-[33px] bg-white divide-y divide-gray-100 shadow w-44 absolute top-2 group-hover:block rounded-lg">
          <ul class="py-2">
            <li>
              <a href="{{ url_for('offres_tobe_accepted') }}" class="block px-4 py-2 hover:bg-gray-100">Liste des offres
                à valider {%if get_nb_offre_tobe_validate() >
                0 %}(<span style="color: red">{{get_nb_offre_tobe_validate()}}</span>){%endif%}</a>
            </li>
            <li>
              <a href="{{ url_for('list_mission_request') }}" class="block px-4 py-2 hover:bg-gray-100">Liste des
                missions {%if
                get_nb_request_tobe_validate() > 0 %}(<span
                  style="color: red">{{get_nb_request_tobe_validate()}}</span>){%endif%}</a>
            </li>
            <li>
              <a href="{{ url_for('list_mission_request_referants') }}" class="block px-4 py-2 hover:bg-gray-100">Missions et référents {%if
                get_nb_offre_sans_profreferant() > 0 %}(<span
                  style="color: red">{{get_nb_offre_sans_profreferant()}}</span>){%endif%}</a>
            </li>
            <li>
              <a href="{{ url_for('list_conventions') }}" class="block px-4 py-2 hover:bg-gray-100">Liste des
                conventions {%if
                  get_nb_convention() > 0 %}(<span style="color: red">{{get_nb_convention()}}</span>){%endif%}</a>
            </li>
          </ul>
        </div>
      </div>

      <div class="relative group">
        <a href="{{ url_for('list_offers') }}" class="py-2.5 inline-flex items-center hover:text-[var(--blue)]">Offres
          <svg class="w-4 h-4 ml-2" fill="none" stroke="currentColor" viewBox="0 0 24 24"
            xmlns="http://www.w3.org/2000/svg">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7"></path>
          </svg>
        </a>

        <div
          class="z-10 hidden mt-[33px] bg-white divide-y divide-gray-100 shadow w-44 absolute top-2 group-hover:block rounded-lg">
          <ul class="py-2">
            <li>
              <a href="{{ url_for('new_offer') }}" class="block px-4 py-2 hover:bg-gray-100">Ajouter une offre</a>
            </li>
            <li>
              <a href="{{ url_for('list_offers') }}" class="block px-4 py-2 hover:bg-gray-100">Voir les offres</a>
            </li>
          </ul>
        </div>
      </div>

      <div class="relative group">
        <a href="{{ url_for('index') }}" class="py-2.5 inline-flex items-center hover:text-[var(--blue)]">Promotions
          <svg class="w-4 h-4 ml-2" fill="none" stroke="currentColor" viewBox="0 0 24 24"
            xmlns="http://www.w3.org/2000/svg">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7"></path>
          </svg>
        </a>

        <div
          class="z-10 hidden mt-[33px] bg-white divide-y divide-gray-100 shadow w-44 absolute top-2 group-hover:block rounded-lg">
          <ul class="py-2">
            <li>
              <a href="{{ url_for('add_promo') }}" class="block px-4 py-2 hover:bg-gray-100">Ajouter une promotion</a>
            </li>
            <li>
              <a href="{{ url_for('add_new_teacher') }}" class="block px-4 py-2 hover:bg-gray-100">Ajouter Professeur</a>
            </li>
          </ul>
        </div>
      </div>

      {% endif %}
    </div>
    <a href="{{ url_for('profil') }}"
      class="rounded-full pointer px-3 py-[5px] text-white bg-[var(--blue)] ml-2 border border-[var(--blue)] font-semibold hover:bg-white hover:text-[var(--blue)] duration-300 shadow">{{ current_user.first_name }}</a>

    {% else %}
    <a href="{{ url_for('signin') }}"
      class="rounded-full pointer px-3 py-[5px] text-white bg-[var(--blue)] ml-2 border border-[var(--blue)] font-semibold hover:bg-white hover:text-[var(--blue)] duration-300 shadow">CONNEXION</a>
    {% endif %}
  </div>
</header>